# Get Transfer Pending Funds Fee

This endpoint can obtain the transaction fees for inter-merchant transfers. The fee models include fixed fee and percentage fee.

Endpoint Information

* Request Header: `X-BH-TOKEN: ******`
* Request Method: `GET`
* Request Path: `/v2/merchant/transfer_fee`
* Authorization Required: Yes

\
Parameters

* `fiat`: (Required, String) - Fiat currency, Currently supports MXN and ARS

#### Response Structure

The response will return the following fields:

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {        
        "fiat": "MXN",     //string: Fiat currency         
        "feeType": 1,      //int: Transfer fee type [0: Fixed fee, 1: Percentage fee]
        "fee": 0.01,       //decimal: Transfer fee value (in percentage format, the range is from 0 to 1) 
    }
}
```

#### Example Response (Fixed)

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {        
        "fiat": "MXN",
        "feeType": 1, 
        "fee": 0.01,
    }
}
```

#### Example Response (Percentage)

```json
{
    "code": 200,
    "msg": "SUCCESS",
    "data": {        
        "fiat": "MXN",
        "feeType": 0,
        "fee": 5,
    }
}
```

#### Notes

* Supported Fiat Currencie&#x73;**:** Currently supports MXN (Mexican Peso) and ARS (Argentine Peso).
* The `feeType` There are two types of this:
  * Fixed Fee (`feeType=0`): A set flat rate applied to each transaction.
  * Percentage Fee (`feeType=1`): A variable fee calculated as a percentage of the transfer amount.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.velafi.com/api-reference/merchant/get-transfer-pending-funds-fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
